股票訊息
提供穩定可靠的股票資訊API介面,覆蓋A股、美股、港股等多個市場。免費及付費介面支援獲取即時行情、歷史數據、分時K線、財務數據、公司基本面等。快速整合,免費試用。
GET
/stock/info請求參數
typestring必填市場型別
regionenum必填市場代碼,支援HK(港股)、SH(上證)、SZ(深證)、US(美股)、SG(新加坡)、JP(日本)、TW(台湾)、IN(印度)、TH(泰國)、DE(德國)、MX(墨西哥)、MY(馬來西亞)、TR(土耳其)、ES(西班牙)、NL(荷蘭)、GB(英國)等
exchangestring上市交易所,相同市場存在多個股票產品時,可以通過 exchange 進行區分查詢,默認為空時,只會返回主要上市交易所信息;exchange字典可以參考接口 /symbol/list 返回的股票清單
codestring必填產品代碼
回應參數
codenumber回應代碼
msgstring回應描述
dataobject▶回應結果
cstring股票代號
nstring股票名稱
tstring型別
estring交易所
sstring所屬板塊
istring所屬產業
rstring區域/國家代號
bdstring公司簡介
wustring公司網站URL
mcbstring總市值
tsostring總股本
petstring市盈率
fccstring貨幣代碼
程式碼範例
import requests
url = "https://api.itick.org/stock/info?type=stock®ion=HK&code=700"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)查詢 URL
GET
https://api.itick.org/stock/info?type=stock®ion=HK&code=700,執行查詢
回應結果
{
"code": 0,
"msg": "ok",
"data": {
"c": "AAPL",
"n": "Apple Inc.",
"t": "stock",
"e": "NASDAQ",
"s": "Electronic Technology",
"i": "Telecommunications Equipment",
"r": "USD",
"bd": "Apple, Inc. engages in the design, manufacture, and sale of smartphones, personal computers, tablets, wearables and accessories, and other varieties of related services. It operates through the following geographical segments: Americas, Europe, Greater China, Japan, and Rest of Asia Pacific. The Americas segment includes North and South America. The Europe segment consists of European countries, as well as India, the Middle East, and Africa. The Greater China segment comprises China, Hong Kong, and Taiwan. The Rest of Asia Pacific segment includes Australia and Asian countries. Its products and services include iPhone, Mac, iPad, AirPods, Apple TV, Apple Watch, Beats products, AppleCare, iCloud, digital content stores, streaming, and licensing services. The company was founded by Steven Paul Jobs, Ronald Gerald Wayne, and Stephen G. Wozniak in April 1976 and is headquartered in Cupertino, CA.",
"wu": "http://www.apple.com",
"mcb": 3436885784335,
"tso": 14840389413,
"pet": 35.3865799154784,
"fcc": "USD"
}
}